[med-svn] [Git][med-team/nanopolish][master] 8 commits: Close bug

Andreas Tille gitlab at salsa.debian.org
Wed Dec 11 15:02:51 GMT 2019



Andreas Tille pushed to branch master at Debian Med / nanopolish


Commits:
20fe4691 by Andreas Tille at 2019-12-11T13:52:16Z
Close bug

- - - - -
6565aed2 by Andreas Tille at 2019-12-11T13:52:54Z
Standards-Version: 4.4.1

- - - - -
c7611446 by Andreas Tille at 2019-12-11T13:55:16Z
Close other bug as well

- - - - -
06aeb3e5 by Andreas Tille at 2019-12-11T14:04:11Z
Fix some remaining interpreter names from python to python3

- - - - -
fb9c9482 by Andreas Tille at 2019-12-11T14:05:17Z
Make sure also in Debian packaging python3 interpreter is used consequently

- - - - -
fda2edb4 by Andreas Tille at 2019-12-11T14:08:29Z
Set upstream metadata fields: Bug-Database, Repository-Browse.
- - - - -
f0bf1ef1 by Andreas Tille at 2019-12-11T14:48:26Z
Unify autopkgtest

- - - - -
fb42c0ac by Andreas Tille at 2019-12-11T14:53:57Z
Upload to unstable

- - - - -


12 changed files:

- + debian/README.test
- debian/changelog
- debian/control
- debian/docs
- + debian/patches/fix_remaining_python_interpreters.patch
- debian/patches/series
- debian/rules
- debian/scripts/nanopolish_makerange
- debian/tests/control
- − debian/tests/main
- + debian/tests/run-unit-test
- debian/upstream/metadata


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
@@ -1,16 +1,18 @@
-nanopolish (0.11.2-1) UNRELEASED; urgency=medium
-
-  [ Andreas Tille ]
-  * Run 2to3 to try Python3 port
+nanopolish (0.11.2-1) unstable; urgency=medium
 
   [ Michael R. Crusoe ]
+  * New upstream release
+    Closes: #931784, #937105
   * debhelper-compat 12
-  * Standards-Version: 4.4.0
-  * New upstream release, now we don't need the 2to3 patch
   * Added patch to fixed #! for the python scripts
   * Set upstream metadata fields: Repository.
 
- -- Andreas Tille <tille at debian.org>  Wed, 07 Aug 2019 20:38:25 +0200
+  [ Andreas Tille ]
+  * Standards-Version: 4.4.1
+  * Set upstream metadata fields: Bug-Database, Repository-Browse.
+  * Unify autopkgtest
+
+ -- Andreas Tille <tille at debian.org>  Wed, 11 Dec 2019 15:48:48 +0100
 
 nanopolish (0.11.1-1) unstable; urgency=medium
 


=====================================
debian/control
=====================================
@@ -10,7 +10,7 @@ Build-Depends: debhelper-compat (= 12),
                libfast5-dev (>= 0.6.5),
                libhts-dev,
                libeigen3-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish


=====================================
debian/docs
=====================================
@@ -1 +1,3 @@
 README.md
+debian/tests/run-unit-test
+debian/README.test


=====================================
debian/patches/fix_remaining_python_interpreters.patch
=====================================
@@ -0,0 +1,67 @@
+Author: Andreas Tille <tille at debian.org>
+Bug-Debian: https://bugs.debian.org/931784
+            https://bugs.debian.org/937105
+Bug-Upstream: https://github.com/jts/nanopolish/issues/626
+Last-Update: Wed, 11 Dec 2019 15:02:32 +0100
+Description: Fix some remaining interpreter names from python to python3
+
+--- a/scripts/dropmodel.py
++++ b/scripts/dropmodel.py
+@@ -1,4 +1,4 @@
+-#! /usr/bin/env python
++#! /usr/bin/python3
+ # Generate a new model with a lower k-mer size than the input model
+ 
+ import sys
+--- a/scripts/import_ont_models_from_dir.sh
++++ b/scripts/import_ont_models_from_dir.sh
+@@ -4,12 +4,12 @@ DIR=$1
+ 
+ for i in `ls $DIR`; do
+     echo "Processing", $DIR/$i
+-    python scripts/import_ont_model.py -i $DIR/$i -o etc/r9-models/ > new_files.txt
++    python3 scripts/import_ont_model.py -i $DIR/$i -o etc/r9-models/ > new_files.txt
+ done
+ 
+ for i in `cat new_files.txt`; do
+     echo "Dropping", $i
+-    python scripts/dropmodel.py -i $i
++    python3 scripts/dropmodel.py -i $i
+ done
+ 
+ rm new_files.txt
+--- a/scripts/polya_training/hmmplot.py
++++ b/scripts/polya_training/hmmplot.py
+@@ -3,7 +3,7 @@
+ Plot a random segmentation from a dataset.
+ 
+ Usage:
+-  $ python polya.out.tsv reads.fastq.readdb.index
++  $ python3 polya.out.tsv reads.fastq.readdb.index
+ """
+ import h5py
+ import pandas as pd
+--- a/scripts/polya_training/workflow.md
++++ b/scripts/polya_training/workflow.md
+@@ -57,7 +57,7 @@ The following files are included:
+ * `retrain_emission.py`: take the arrays from a run of `dump_signal.py` and output the coefficients and parameters
+   of a gaussian mixture model for each segment.
+ 
+-Run `python <SCRIPT> --help` for further usage instructions for each script.
++Run `python3 <SCRIPT> --help` for further usage instructions for each script.
+ 
+ The files above required a suite of numerical packages to be installed as dependencies. A full list of dependencies,
+-in a conda-compatible environment file, is available at `hmmplot/environment.yml`.
+\ No newline at end of file
++in a conda-compatible environment file, is available at `hmmplot/environment.yml`.
+--- a/scripts/reestimate_polya_emissions.py
++++ b/scripts/reestimate_polya_emissions.py
+@@ -5,7 +5,7 @@ underlying kmer models (with the newer T
+ infer the best new parameters for the HMM emissions.
+ 
+ Usage:
+-$ python reestimate_polya_emissions.py samples.old.tsv seg.old.tsv samples.new.tsv
++$ python3 reestimate_polya_emissions.py samples.old.tsv seg.old.tsv samples.new.tsv
+ where:
+ * `samples.old.tsv` is the output of `nanopolish polya -vv [...] | grep 'polya-samples'`,
+ generated by the **old** kmer models;


=====================================
debian/patches/series
=====================================
@@ -1,3 +1,4 @@
 add-shebang-to-script.patch
 reproducible.patch
 add_interp
+fix_remaining_python_interpreters.patch


=====================================
debian/rules
=====================================
@@ -35,7 +35,7 @@ override_dh_install:
 	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $${pl} ; \
 	done
 	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
-	    sed -i '1s?^#!.*python?#!/usr/bin/python?' $${pl} ; \
+	    sed -i '1s?^#!.*python.*?#!/usr/bin/python3?' $${pl} ; \
 	done
 
 override_dh_fixperms:


=====================================
debian/scripts/nanopolish_makerange
=====================================
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-/usr/bin/python /usr/lib/nanopolish/nanopolish_makerange.py $@
+/usr/bin/python3 /usr/lib/nanopolish/nanopolish_makerange.py $@


=====================================
debian/tests/control
=====================================
@@ -1,2 +1,2 @@
-Tests: main
+Tests: run-unit-test
 Depends: @


=====================================
debian/tests/main deleted
=====================================
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-set -e
-
-cd $ADTTMP
-
-# The ./test/data path is hard-coded into the nanopolish_test program
-mkdir test
-
-cp -r /usr/share/doc/nanopolish/examples/data $ADTTMP/test/
-
-find $ADTTMP/test/data -name '*.gz' | xargs -r gunzip
-
-/usr/lib/nanopolish/nanopolish_test


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+
+pkg=nanopolish
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd ${AUTOPKGTEST_TMP}
+
+# The ./test/data path is hard-coded into the nanopolish_test program
+mkdir test
+
+cp -r /usr/share/doc/${pkg}/examples/data ${AUTOPKGTEST_TMP}/test
+
+find ${AUTOPKGTEST_TMP}/test -name '*.gz' | xargs -r gunzip
+
+/usr/lib/nanopolish/nanopolish_test


=====================================
debian/upstream/metadata
=====================================
@@ -8,3 +8,5 @@ Registry:
 - Name: conda:bioconda
   Entry: nanopolish
 Repository: https://github.com/jts/nanopolish.git
+Bug-Database: https://github.com/jts/nanopolish/issues
+Repository-Browse: https://github.com/jts/nanopolish



View it on GitLab: https://salsa.debian.org/med-team/nanopolish/compare/b32c1f45f2b9646ce5ccf964be6c468f162c8b66...fb42c0acfb05a2b316bb903133573e9720f7fc55

-- 
View it on GitLab: https://salsa.debian.org/med-team/nanopolish/compare/b32c1f45f2b9646ce5ccf964be6c468f162c8b66...fb42c0acfb05a2b316bb903133573e9720f7fc55
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20191211/1abff416/attachment-0001.html>


More information about the debian-med-commit mailing list